<?php

session_start();
include("DMMYSQLG.php");


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="es-es">
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<head>
<?php

require_once("DFJQUERY.inc");
?>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	$("#tbus").autocomplete('CO10200_AU.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
		selectFirst:false,
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 500,           //alto del cuadro para el scroll
		formatItem:function (row, i, n, value) { //formato de presentacion de las posibles busquedas
			return "(<strong>"+row[1]+"</strong>)"+row[0];
		},	     
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[0];
		},
		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#tbus").result(function(event, row, formatted){
		//if(!row && confirm("Articulo:'"+$(this).val()+"'\nDesea AGREGARLO?"))
			openpage("CO10200_AG.php?tap2="+$(this).val(),'_self');
		//else if(confirm("Articulo:'" +row[0]+"'\nDesea Consultar/Modificar?"))
			openpage("CO10200_MO.php?bot="+row[1],'_self');
	}).keypress (function(){
    	var evt = (evt) ? evt : event; 
    	var tecla = (evt.charCode) ? evt.charCode : ((evt.keyCode) ? evt.keyCode:((evt.which) ? evt.which : 0)); 
    	if(tecla==13){
			$(this).search();
			return false;	
		}
		return true;
	});	

});
</script>
<script language="javascript">
$(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0]+"";
	}
	$("#producto").autocomplete('AL10701_DS.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 300,           //alto del cuadro para el scroll
		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#id_producto").autocomplete('AL10701_DS.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 300,           //alto del cuadro para el scroll
		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[1];
		},	                        
		extraParams:{tipBus:'c'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#id_producto").result(function(event, data, formatted){
		$('#producto').val(data[0]);
		
		
		
		
	});	
	$("#producto").result(function(event, data, formatted){
		$('#id_producto').val(data[1]);
		
		
		
	});	
	$("input[@name=tip_bus]").click(function(){
		$('#producto').setOptions({
			extraParams:{
				tipBus:getValRadChe('tip_bus')
			}
		});
	});
});

</script>
</head>
<style type="text/css">
BODY {
SCROLLBAR-FACE-COLOR:#0000CC; SCROLLBAR-HIGHLIGHT-COLOR:#00CCFF; SCROLLBAR-SHADOW-COLOR:#0000CC; SCROLLBAR-3DLIGHT-COLOR:#0000CC; SCROLLBAR-ARROW-COLOR:#FFFFFF; SCROLLBAR-TRACK-COLOR:#FFFFFF; SCROLLBAR-DARKSHADOW-COLOR: #330000
}
.lista {
font-weight: bold; 
font-size:11px;
 ;
}
.Estilo1 {
	color: #FFFFFF;
	font-weight: bold;
}
</style>
	

<body onLoad = "self.focus (); document.form1.tbus2.focus ()">

<div align="right" id="formulario" style="display:none;"></div>
<div align="center">
  <form name="form1" method="post" action="">
     <table  align="center" bordercolor="#CC3300" bordercolordark="#CC3300">
          <th>RECETAS</th>
      </tr>
      
      <tr> <th>BUSQUEDA</th> </tr>
    
      <tr>
        <td><label>
		  <input name="r1" type="radio" value="ing" />

		  <input name="producto" type="text" id="producto" size="30" />
        <input name="id_producto" type="text" id="id_producto" size="5" value="" /></td>
      </tr>
      <tr>
        <td><input type="submit" name="Submit" value="Buscar" class="bot_WsW"/>
       </tr>
      <tr>

    </table>
  </form>
</div>
<form name="frm1" method="post" action="" >
<body>
<form name="frm1" method="post" action="" >
<div align="center">
<?php
 
	$sql = mysqli_query($con ,"SELECT * FROM corec2 order by np_desc1");
	include("DE10000.php");
	//#FF6600
	?>
	
<table width="657" border='1' bordercolor="#CC3300" bordercolordark="#CC3300">
      <tr>
        <th width="561" colspan="7"> 
          <div align="center"> 
<input type="button" name="bot4" value="Agregar " onClick="openpage('CO10200_AG.php','_self')" class="original"/>
			<input type="button" name="bot4" value="Imprimir " onClick="openpage('CO10200_IM.php','_self')" class="original"/>
            <input type="button" name="bot42" value="Exporta Exel" onClick="openpage('CO10200_IME.php','_self')" class="bot_WsW"/>
            <input type="button" name="bot2" value="Modificar" onClick="openpage('CO10200_MO.php','_self')" class="original"/>
            <input name="det_inv" type="button" id="det_inv" value="Agregar Ingredientes" onClick="openpage('CO10200_AG-DET.php','_self')" class="bot_WsW">
          </div >
   		</th></tr>
	</table>
<div style="height:440px; overflow:scroll; width:950;">		
<table width="532" border='1' bordercolor="#CC3300" bordercolordark="#CC3300">		
		
<tr>
      <th width="21"  nowrap><div align="center">SEL</div></th>
        <th width="55"  nowrap><div align="left">CODIGO </div></th>
        <th width="83"  nowrap><div align="left">FOTOGRAFIA</div></th>
		<th width="168"  nowrap>NOMBRE </th>
		<th width="141"  nowrap>TIEMPO </th>
		<th width="92"  nowrap>COSTO X PORCION</th>
		<th width="92"  nowrap>FECHA</th>
		<th width="92"  nowrap>COLOR</th>
    </tr>
	  <?php
$vart=(isset($_POST['tbus']))?$_POST['tbus']:"";
	echo '<input name="txt_bus" type="hidden" value="'.$vart.'">';
$vars=(isset($_POST['submit']))?$_POST['submit']:"";

        if($_POST['r1']&& $vars=="")
	{
		echo '<input name="tip_bus" type="hidden" value="nombre">';
		@$sql = mysqli_query($con ,"SELECT * FROM 	 WHERE np_desc1 like '%".$vart."%'");
	}
	while($reg = mysqli_fetch_array($sql))
	{
	  	echo "<tr>";
		echo '<td> <div align="center" style="background-color:'.$reg["almacen"].';"><input name="bot" type="radio" value="'. $reg["n_reg"].'"></div></td>';
		echo "<td> <div align='center' class='lista'>" . $reg["n_reg"] . "&nbsp;</div></td>";
		$fotografia = 'foto/corec2/NO_'. $reg["n_reg"] .'.JPG';
		if (file_exists($fotografia)) {
			echo '<td class="inputcodigo"><div align="center"><img src="foto/corec2/NO_'.$reg["n_reg"].'.JPG" width="80" height="55">&nbsp</div></td>';
		}else{
			echo ' <td class="inputcodigo"><div align="center"><img src="foto/sin_producto.jpg" width="40" height="40">&nbsp</div></td>';
		}
		echo "<td> <div align='center' class='lista'>" . $reg["np_desc1"] . "&nbsp;</div></td>";
		echo "<td> <div align='center' class='lista'>" . $reg["p1"] . "&nbsp;</div></td>";
		
		$costo=mysqli_fetch_array(mysqli_query($con ,"SELECT sum(costo*can_ref) as costo from dginvend where nparte1='".$reg['n_reg']."'"));
		echo "<td> <div align='center' class='lista'>$ " .number_format($costo["costo"],2,'.',','). "&nbsp;</div></td>";

		$fec1=$reg["gfecini"];
		include('DF20000.php');
		echo "<td> <div align='center' class='lista'>" . $f_f . "&nbsp</div></td>";
		echo '<td  style="'.$reg["almacen"].'"> <div align="center"></div></td>';
		echo "</tr>";
	}
	mysqli_close($con);
	?>
  </table>
</div>
</div>
</form>	
</body>
</html>
